<?php
/*
Plugin Name: Realtransac Wordpress Connect
Description: Connect to your properties listed on the Realtransac CRM Portal.
Author: Realtransac LLC
Version: 1.0
Author URI: http://realtransac.com/
*/

global $wpdb;
//constants
define("API_DIR", WP_PLUGIN_URL . '/Realtransac-Wordpress-Connect' );

//API
add_action('init', 'intial_scritps');
add_action('admin_init','admin_scripts');
add_action('admin_menu','load_menu');

/* Initialize All Js.files*/
function intial_scritps(){
       
    if(!session_id()){
           session_start();
    }
   
    
    echo '<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/1.6.2/jquery.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/js/jquery.bxSlider.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/jquery.ui.core.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/jquery.ui.widget.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/jquery.ui.mouse.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/jquery.ui.slider.js'.'" charset="utf-8"></script>';    
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/js/map.js'.'" charset="utf-8"></script>';    
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/lib/jquery/paging.js'.'" charset="utf-8"></script>';
    echo '<script type="text/javascript" src="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/js/jquery.pikachoose.full.js'.'" charset="utf-8"></script>';
    echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/css/plugin.css">'; 
    echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/css/jquery-ui-1.7.2.custom.css">';
    echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/css/map.css">';
    
    
       
}

function load_menu(){
    
    $page = add_submenu_page('options-general.php', 'Registration Forms', 'Realtransac settings', 'manage_options', 'registration_settings', 'registration_settings');    
    add_action('admin_print_styles-'.$page, 'admin_scripts');
    register_setting ('registration_options', 'apikey', '');
    register_setting ('registration_options', 'apiwsdl', '');
}
  
function registration_settings() {
    $profile_fields = get_option('api_fields'); 
   
    
    ?>
    
    <div class="wrap">
        <h2>API Form Settings</h2>
        <form method="post" action="options.php" onsubmit="return ValidateCompleteForm(this)" id="api-settings" name="apiform">
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">API Key: </th>
                    <td><input type="text" name="apikey" value="<?php echo get_option('apikey'); ?>" class="field text wide"/></td>
                </tr>
                    <tr valign="top">
                    <th scope="row">WSDL: </th>
                    <?php
                       $apiwsdl = get_option('apiwsdl');
                      $default_apiwsdl = "http://realtransac.com/api?wsdl";
                       //$default_apiwsdl = "http://192.168.1.18/rt/api?wsdl";
                    ?>
                    <td><input type="text" name="apiwsdl" value="<?php if($apiwsdl){echo $apiwsdl; } else { echo $default_apiwsdl; }?>" class="field text wide"/></td>
                </tr>
            </table>  
            <?php settings_fields('registration_options'); ?>
            <p class="submit">
                <input type="submit" class="button-primary" value="<?php _e('Save') ?>" />
            </p>
        </form>
        <p>To use this plugin search employ the shortcode <code>[rt_search]</code> on any Wordpress page and give to that <code>page-ID</code> in RealSearch widget </p>
        <b>SHORTCODE FOR WIDGETS</b>
        <p>Allows inclusion of any widget within a page for any theme using the following Shortcodes and Parameters.</p>
        <p>1. Realtransac property search</p>
                <p class="left"> <code>[RT_Widget widget_name="Realsearch" instance="title=Normal&pageid=41&displayform=1"]</code></p>
                <b class="left">Parameters</b>
                <p class="left">title->Widget Title, pageid, displayform ->( Vertical - 1, Horizontal - 2)</p>
        2. Realtransac property advance search
                <p class="left"><code>[RT_Widget widget_name="AdvancedRealsearch" instance="title=Advance&pageid=41&displayform=1"]</code></p>
                <b class="left">Parameters</b>
                <p class="left">title->Widget Title, pageid, displayform ->( Vertical - 1, Horizontal - 2)</p>
        3. Featured properties
                <p class="left"><code>[RT_Widget widget_name="TopsalesList" instance="title=Featured&type=Sales&show=Best&limit=5&displayform=2"]</code></p>
                <b class="left">Parameters</b>
                <p class="left">title->Widget Title, type->(Sales-Sales, Rental-Rental),  show-> (Best-Best, Random-Random), limit, displayform -> (Vertical - 1, Horizontal - 2)</p>
        4. Property List
                <p class="left"><code>[RT_Widget widget_name="PropertyList" instance="title=PropertyList&limit=6&displayoption=Best"]</code></p>
                <b class="left">Parameters</b>
                <p class="left">title->Widget Title, limit, displayoption ->( Best - Best, Random - Random, Latest - Latest)</p>
        5. Google Map
                <p class="left"><code>[RT_Widget widget_name="MapRealsearch" instance="title=Map"]</code></p>
                <b class="left">Parameters</b>
                <p class="left">title->Widget Title</p>
    </div>
<?php 
}

// Load admin Scripts
function admin_scripts() {
	$src = API_DIR . '/api_admin.css';
	wp_register_style('registration-style',$src); 
	wp_enqueue_style('registration-style');
}

// Realtransac Normal Search 
class WP_Realsearch extends WP_Widget {
      
    public $displayform;
    
    // Constructor
    function __construct() {
        $widget_ops         = array('description' => __('It is a real search', 'wp-searchlist'));
        $this->displayform = array("1" => "Vertical", "2" => "Horizantal");
        $this->WP_Widget('realsearch', __('Realtransac property search'), $widget_ops);    
    }

    function widget( $args, $instance ) {
        extract($args);

        $title = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);

        echo $before_widget;
        
        if ( $title ){
            echo $before_title . $title . $after_title;
        }
        
        if (!is_admin()) {
            require_once(dirname(__FILE__).'/search.php');
        }

        $search = new Realtransac_API_Search($instance, $widget_id);
        $search->displaySearchForm();
        unset($search);

        echo $after_widget;
    }
    
    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;

        $new_instance = wp_parse_args((array) $new_instance, array( 'title' => '','pageid' => '','displayform' => ''));
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['pageid'] = strip_tags($new_instance['pageid']);
        $instance['displayform'] = strip_tags($new_instance['displayform']);

        return $instance;
    }


  function form( $instance ) {

    $instance       = wp_parse_args( (array) $instance, array( 'title' => '','pageid' => '','displayform' => '') );
    $title          = $instance['title'];                
    $pageid         = $instance['pageid'];
    $display        = $instance['displayform'];
    
    update_option('pageid', $pageid );

   
    ?>                    
    <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label>
    <label>Page id<input class="widefat" id="<?php echo $this->get_field_id('pageid'); ?>" name="<?php echo $this->get_field_name('pageid'); ?>" type="text" value="<?php echo esc_attr($pageid); ?>" /></label>
    <fieldset>
        <label for="<?php echo $this->get_field_id('displayform'); ?>"><?php _e('Display Format:', 'wp-searchlist'); ?></label>
        <select id="<?php echo $this->get_field_id('displayform'); ?>" name="<?php echo $this->get_field_name('displayform'); ?>">
            <?php 
            foreach($this->displayform as $key => $val) {
                echo '<option value="'.$key.'" '.selected($key, $display).'>'.$val.'</option>';
            } 
            ?>
        </select>
    </fieldset>    
    <?php
    }

}


// Realtransac Advanced Search 
class WP_AdvancedRealsearch extends WP_Widget {

    // Constructor
    function __construct() {
        $widget_ops         = array('description' => __('It is a advanced real search', 'wp-advancesearchlist'));
        $this->displayform = array("1" => "Vertical", "2" => "Horizantal");
        $this->WP_Widget('Advancerealsearch', __('Realtransac property advance search'), $widget_ops);
    }

    function widget( $args, $instance ) {

        extract($args);

        $title = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);

        echo $before_widget;
        if ( $title ){
            echo $before_title . $title . $after_title;
        }

        if (!is_admin()) {
            require_once(dirname(__FILE__).'/advance_search.php');
        }

        $adsearch = new Realtransac_API_AdvanceSearch($instance, $widget_id);
        $adsearch->displaySearchForm();
               
        unset($adsearch);

        echo $after_widget;
    }
    
    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $new_instance = wp_parse_args((array) $new_instance, array( 'title' => '','pageid' => '','displayform' => ''));
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['pageid'] = strip_tags($new_instance['pageid']);
        $instance['displayform'] = strip_tags($new_instance['displayform']);

        return $instance;
    }


    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '','pageid' => '','displayform' => '') );
        $title = $instance['title'];
        $pageid = $instance['pageid'];
        $displayform = $instance['displayform'];
        ?>                 
    
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
            <label>Page id</label>
            <input class="widefat" id="<?php echo $this->get_field_id('pageid'); ?>" name="<?php echo $this->get_field_name('pageid'); ?>" type="text" value="<?php echo esc_attr($pageid); ?>" />
            <fieldset>
                <label for="<?php echo $this->get_field_id('displayform'); ?>"><?php _e('Display Format:', 'wp-advancesearchlist'); ?></label>        
                <select id="<?php echo $this->get_field_id('displayform'); ?>" name="<?php echo $this->get_field_name('displayform'); ?>">
                <?php foreach($this->displayform as $key => $val) { ?>
                    <option value="<?php echo $key; ?>"<?php selected($key, $displayform); ?>><?php echo $val; ?></option>;
                <?php } ?>
                </select>            
            </fieldset>
        </p>
<?php
    }
}


function displayResults(){  
    require_once(dirname(__FILE__).'/search.php');
    $search = new Realtransac_API_Search($instance, $widget_id);
    $search->displaySearchResults();
}


add_shortcode('rt_search', 'displayResults');




 //////////////////////////////TOP SALESLIST PLUGIN               
class WP_TopsalesList extends WP_Widget {

  // Constructor
  function __construct() {
    $widget_ops = array('description' => __('Put a list of properties from Real Transaction on your sidebar', 'wp-topsaleslist'));
    $this->WP_Widget('Saleslist', __('Featured properties'), $widget_ops);
    $this->default_settings = array(
        'title' => 'TopSales List',
        'cache_expire' => '0',
        'type' => 'Sales',
        'show' => 'Best',
        'limit' => '5'  
    );
    
    $this->type = array("Sales" => "Sales", "Rental" => "Rental");    
    $this->show = array("Best" => "Best", "Random" => "Random");
    $this->displayform = array("1" => "Vertical", "2" => "Horizantal");
   
   
  }

  function widget($args, $instance) {

    // $args is an array of strings that help widgets to conform to
    // the active theme: before_widget, before_title, after_widget,
    // and after_title are the array keys. Default tags: li and h2.
    extract($args);

    $title = $instance['title'];
    // These lines generate our output. Widgets can be very complex
    // but as you can see here, they can also be very, very simple.
    echo $before_widget . $before_title . $title . $after_title;
    
    if (!is_admin()) {
        require_once(dirname(__FILE__).'/saleslist.php');
    }
    
    $sale = new Realtransac_API_SalesList($instance, $widget_id);
    $sale->displayList();
    
    unset($sale);

    echo $after_widget;
  }

  function update($new_instance, $old_instance) {

    if (!isset($new_instance['submit'])) {
      return false;
    }
    $instance = $old_instance;

    $instance['title']          = strip_tags(stripslashes($new_instance['title']));    
    $instance['cache_expire']   = strip_tags(stripslashes($new_instance['cache_expire']));
    $instance['type']           = strip_tags(stripslashes($new_instance['type']));
    $instance['show']           = strip_tags(stripslashes($new_instance['show']));
    $instance['limit']          = strip_tags(stripslashes($new_instance['limit']));
    $instance['displayform']    = strip_tags($new_instance['displayform']);
  
    if ($new_instance['reset_to_defaults']) {
      $instance = array_merge($instance, $this->default_settings); // $defaults overrides $instance
    }

    // invalidate cache on update and explicit cache clear
    if ($new_instance['clear_cache'] || ($old_instance !== $instance)) {
      update_option('widget_topsales_' . $widget_id . '_cache_ts', 0);
    }

    return $instance;
  }

  function form($instance) {
    $instance = wp_parse_args((array) $instance, $this->default_settings);

    if ($instance['version'] != $this->version){
      $instance['version'] = $this->version;
    }

    // Be sure you format your options to be valid HTML attributes.
    $title = htmlspecialchars($instance['title'], ENT_QUOTES);  
    $cache_expire = htmlspecialchars($instance['cache_expire'], ENT_QUOTES);
    $type = htmlspecialchars($instance['type'], ENT_QUOTES);
    $show = htmlspecialchars($instance['show'], ENT_QUOTES);
    $limit = htmlspecialchars($instance['limit'], ENT_QUOTES);
    $displayform = htmlspecialchars($instance['displayform'], ENT_QUOTES);
   
    ?>
        <input type="hidden" id="<?php echo $this->get_field_id('version'); ?>" name="<?php echo $this->get_field_name('version'); ?>" value="<?php echo $version; ?>" />

        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'wp-topsaleslist'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />


        <label for="<?php echo $this->get_field_id('cache_expire'); ?>"><?php _e('Cache Expiration (in minutes):', 'wp-topsaleslist'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('cache_expire'); ?>" name="<?php echo $this->get_field_name('cache_expire'); ?>" type="text" value="<?php echo $cache_expire; ?>" />


        <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('How many Products to show?:', 'wp-topsaleslist'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" />

        <fieldset>
            <label for="<?php echo $this->get_field_id('displayform'); ?>"><?php _e('Display Format:', 'wp-searchlist'); ?></label>     
            <select id="<?php echo $this->get_field_id('displayform'); ?>" name="<?php echo $this->get_field_name('displayform'); ?>">
            <?php foreach($this->displayform as $key => $val) { ?>
                <option value="<?php echo $key; ?>"<?php selected($key, $displayform); ?>><?php echo $val; ?></option>;
            <?php } ?>
            </select>        
        </fieldset>


        <fieldset>
        <label for="<?php echo $this->get_field_id('show'); ?>"><?php _e('Show:', 'wp-topsaleslist'); ?></label>
            <select id="<?php echo $this->get_field_id('show'); ?>" name="<?php echo $this->get_field_name('show'); ?>">
                <?php foreach($this->show as $key => $val) { ?>
                    <option value="<?php echo $key; ?>"<?php selected($key, $show); ?>><?php echo $val; ?></option>;
                <?php } ?>
            </select>        
        </fieldset>

        <fieldset>
            <label for="<?php echo $this->get_field_id('type'); ?>"><?php _e('Type:', 'wp-topsaleslist'); ?></label>
            <select id="<?php echo $this->get_field_id('type'); ?>" name="<?php echo $this->get_field_name('type'); ?>">
                <?php foreach($this->type as $key => $val) { ?>
                <option value="<?php echo $key; ?>"<?php selected($key, $type); ?>><?php echo $val; ?></option>;
                <?php } ?>
            </select>            
        </fieldset>

        <input type="hidden" id="<?php echo $this->get_field_id('submit'); ?>" name="<?php echo $this->get_field_name('submit'); ?>" value="1" />
      <?php
  }

}
// end widget code

// start pre-widget backwards-compatibility code
function topsaleslist_settings_panel() {

	$bl_setting = get_option('topsaleslist_settings');
	$bl_ver = '0.01b';

	if ($bl_setting['version'] != $bl_ver){
		$bl_setting['version'] = $bl_ver;
		update_option('topsaleslist_settings', $bl_setting);
		$bl_setting = get_option('topsaleslist_settings');
	}

	//if form was submitted
	if(isset($_POST['submitted'])){

		if (isset($_POST['clear_cache']))
			update_option('topsaleslist_cache_ts', 0);

		$new_settings = array(
                                    'version'           => $_POST['version'],	
                                    'title'             => stripslashes($_POST['title']),
                                    'cache_expire'      => stripslashes($_POST['cache_expire']),
                                    'displayform'	=> stripslashes($_POST['displayform']),
                                    'type'		=> stripslashes($_POST['type']),				
                                    'show'		=> stripslashes($_POST['show']),				
                                    'limit'		=> stripslashes($_POST['limit']),				
				);

		if ($new_settings != $bl_setting){
			update_option('topsaleslist_settings', $new_settings);
			$bl_setting = $new_settings;
		}
	}
		
} 

//MAP WIDGET
class WP_MapRealsearch extends WP_Widget {

  // Constructor
  function __construct() {
    $widget_ops = array('description' => __('It is a Google Map', 'wp-Mapsearchlist'));
    $this->WP_Widget('googlemap', __('Google Map'), $widget_ops);    
  }

    function widget( $args, $instance ) {
        extract($args);

        $title = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);

        echo $before_widget;
        if ( $title ){
            echo $before_title . $title . $after_title;
        }

        if (!is_admin()) {
            require_once(dirname(__FILE__).'/advance_search.php');
        }
        
        $mapsearch = new Realtransac_API_AdvanceSearch($instance,$widget_id);
        $mapsearch->displaySearchMap();

        unset($bl);

        echo $after_widget;
    }
    
    
    function update( $new_instance, $old_instance ) {
            $instance = $old_instance;

            $new_instance = wp_parse_args((array) $new_instance, array( 'title' => ''));
            $instance['title'] = strip_tags($new_instance['title']);
            return $instance;
    }


    function form( $instance ) {

        $instance = wp_parse_args( (array) $instance, array( 'title' => '') );
        $title = $instance['title'];                
        ?>                 
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
    <?php
    }

}


//PROPERTY LIST

class WP_PropertyList extends WP_Widget {

  // Constructor
  function __construct() {
    $widget_ops = array('description' => __('Put a list of properties from Real Transaction on your sidebar', 'wp-propertylist'));
    $this->WP_Widget('property', __('Property List'), $widget_ops);
    $this->default_settings = array(
        'title' => 'Property List',
        'cache_expire' => '0',
        'limit' => '5',       
    );
    $this->options = array("Best" => "Best", "Random" => "Random", "Latest" => "Latest");
    
  }

  function widget($args, $instance) {

    // $args is an array of strings that help widgets to conform to
    // the active theme: before_widget, before_title, after_widget,
    // and after_title are the array keys. Default tags: li and h2.
    extract($args);

    $title = $instance['title'];

    // These lines generate our output. Widgets can be very complex
    // but as you can see here, they can also be very, very simple.
    echo $before_widget . $before_title . $title . $after_title;
    
    if (!is_admin()) {
        require_once(dirname(__FILE__).'/productlist.php');
    }
    
    $property = new Realtransac_API_PropertyList($instance, $widget_id);
    $property->displayList();
    
    unset($bl);

    echo $after_widget;
  }

  function update($new_instance, $old_instance) {

    if (!isset($new_instance['submit'])) {
      return false;
    }
    $instance = $old_instance;

    $instance['title']         = strip_tags(stripslashes($new_instance['title']));
    $instance['limit']         = strip_tags(stripslashes($new_instance['limit']));
    $instance['displayoption'] = strip_tags(stripslashes($new_instance['displayoption']));
  
    if ($new_instance['reset_to_defaults']) {
      $instance = array_merge($instance, $this->default_settings); // $defaults overrides $instance
    }

    // invalidate cache on update and explicit cache clear
    if ($new_instance['clear_cache'] || ($old_instance !== $instance)) {
      update_option('widget_productlist_' . $widget_id . '_cache_ts', 0);
    }

    return $instance;
  }

  function form($instance) {
      
    $instance = wp_parse_args((array) $instance, $this->default_settings);

    // Be sure you format your options to be valid HTML attributes.
    $title = htmlspecialchars($instance['title'], ENT_QUOTES);    
    $limit = htmlspecialchars($instance['limit'], ENT_QUOTES);
    $displayoption = htmlspecialchars($instance['displayoption'], ENT_QUOTES);


    ?>
    <input type="hidden" id="<?php echo $this->get_field_id('version'); ?>" name="<?php echo $this->get_field_name('version'); ?>" value="<?php echo $version; ?>" />

    <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'wp-propertylist'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />

    <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('How many Products to show?:', 'wp-propertylist'); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" />
    
    <fieldset>
        <label for="<?php echo $this->get_field_id('displayoption'); ?>"><?php _e('Options:', 'wp-propertylist'); ?></label>        
        <select id="<?php echo $this->get_field_id('displayoption'); ?>" name="<?php echo $this->get_field_name('displayoption'); ?>">
        <?php foreach($this->options as $key => $val) { ?>
            <option value="<?php echo $key; ?>"<?php selected($key, $displayoption); ?>><?php echo $val; ?></option>
        <?php } ?>
        </select>
    </fieldset>

    <input type="hidden" id="<?php echo $this->get_field_id('submit'); ?>" name="<?php echo $this->get_field_name('submit'); ?>" value="1" />
    <?php
  }

}

// start pre-widget backwards-compatibility code
function productlist_settings_panel() {

	$bl_setting = get_option('propetylist_settings');
	$bl_ver = '0.01b';

	if ($bl_setting['version'] != $bl_ver){
		$bl_setting['version'] = $bl_ver;
		update_option('propetylist_settings', $bl_setting);
		$bl_setting = get_option('propetylist_settings');
	}

	//if form was submitted
	if(isset($_POST['submitted'])){

		$new_settings = array(
                                    'version'       => $_POST['version'],
                                    'title'         => $_POST['title'],
                                    'displayoption' => $_POST['displayoption'],
                                    'limit'         => $_POST['limit'],				
                                );

		if ($new_settings != $bl_setting){
                    update_option('propetylist_settings', $new_settings);
                    $bl_setting = $new_settings;
		}
	}	
} 

function view_results(){

        require_once(dirname(__FILE__).'/viewdetail.php');
        $viewdetail = new Realtransac_API_ViewDetail($instance, $widget_id);
        $rt_searchk = $viewdetail->view_list();


}

if(isset($_REQUEST['id'])){      
    add_shortcode('rt_search', 'view_results');
}

function widget_realsearch_init() {

        register_widget('WP_Realsearch');
        register_widget('WP_AdvancedRealsearch');
        register_widget('WP_TopsalesList');
        register_widget('WP_MapRealsearch');
        register_widget('WP_PropertyList');


}
add_action('widgets_init', 'widget_realsearch_init');

//SHORTCODE FOR WIDGETS
function load_widget($atts) {
    
    global $wp_widget_factory;
    
    extract(shortcode_atts(array(
       'widget_name' => FALSE,
       'instance' => ''
    ), $atts));
    
    $instance = str_ireplace(array("&amp;", "#038;"), '&' ,$instance);
    $widget_name = wp_specialchars($widget_name);
    $wp_class = 'WP_'.ucwords($widget_name);
    
    
    if (is_a($wp_widget_factory->widgets[$wp_class], 'WP_Widget')){
        $widget = $wp_widget_factory->widgets[$wp_class];

        ob_start();
        the_widget($wp_class, $instance, array('widget_id'=>'arbitrary-instance-'.$widget->id,
            'before_widget' => '<div class="page_widget">',
            'after_widget' => '</div>',
            'before_title' => '<h2 class="widgettitle">',
            'after_title' => '</h2>'
        ));
        $output = ob_get_contents();
        ob_end_clean();
        return $output;
        
    }else{
        return '<p>'.sprintf(__("%s: Widget class not found. Make sure this widget exists and the class name is correct"),'<strong>'.$wp_class.'</strong>').'</p>';        
    }
    
    
}
add_shortcode('RT_Widget','load_widget'); 
?>