<?php
class Realtransac_API_SalesList {
    
    public function __construct($instance, $widget_id){
      
      
        $this->widget   = $widget_id;
        $this->display  = $instance['displayform'];
        $this->pageid   = get_option('pageid');
        $this->wsdl     = get_option('apiwsdl');
        $this->apikey   = get_option('apikey');         
       
                   
        
        $param = array(
            'apikey'   => $this->apikey, 
            'type'     => $instance['type'],
            'show'     => $instance['show'],
            'limit'    => $instance['limit'],
        );
       
        try{
            $this->client = new SoapClient($this->wsdl); // true is for WSDL  
            $this->result = json_decode($this->client->getSalesList($param));
           
                    
        }catch(Exception  $ex)
        {
           //echo "<h4>".'Message: ' .$ex->getMessage()."</h4>";
           
            if($ex->faultcode){
                echo "<h4>".'Message: ' ."Server Connection Error"."</h4>";
            }      
        }
        
    }
   function displayList(){
       if ($this->result->products)
        {
           if($this->display == '1'){?>
                <div class="rt_salelist">
                        <ul id="slider<?php echo $this->widget;?>" class="rt_salelist_content_container">
                          <?php foreach($this->result->products as $key => $product){ 
                            $url = get_bloginfo('wpurl').'/?page_id='.$this->pageid.'&id='.$product->id;
                          ?> 
                            <li>
                                <div class="tr_saleslist_container">
                                        <div class="left_img">
                                            <a href="<?php echo $url;?>"><img src="<?php echo $product->picture;?>" /></a> 
                                        </div>
                                        <span class="sale_siderow"><span class="sale_element"> <?php echo $product->price->UNITS.$product->price->VALUE;?></span></span>
                                        <span class="sale_siderow"><span class="sale_element"> <?php echo $product->category;?></span></span>
                                        <span class="sale_siderow"><span class="sale_element"> <?php echo $product->type;?></span></span>
                                        <span class="sale_siderow"><span class="sale_element"> <?php echo $product->name.' '.$product->firstname;?></span></span>
                                        <span class="sale_description" ><span class="sale_element_description"><p><?php echo $product->desc->VALUE;?></p></span></span>
                                          <span>
                                        		<div class="view_sidedetails"><a href="<?php echo $url;?>">View Details</a></div>
                                        	</span>
                                </div>        
                                
                            </li>
                           <?php } ?> 
                       </ul>
                        <div class="rt_pagination">
                            <div class="previous" id="previous<?php echo $this->widget;?>"></div>                     
                            <div class="pagination" id="pager<?php echo $this->widget;?>"></div>
                            <div class="next" id="next<?php echo $this->widget;?>"></div>              
                        </div>
                </div>
            <?php } else { ?>
            <div class="rt_salehorz">
                <ul id="slider<?php echo $this->widget;?>" class="rt_salelist_content_container">
                          <?php foreach($this->result->products as $key => $product){ 
                            $url = get_bloginfo('wpurl').'/?page_id='.$this->pageid.'&id='.$product->id;
                          ?> 
                            <li>
                            	<div class="tr_saleslist_container">
                                        <div class="left_img">
                                            <a href="<?php echo $url;?>"><img src="<?php echo $product->picture;?>" /></a> 
                                        </div>
                                      
                                            <span class="sale_siderow"><span class="sale_element"> <?php echo $product->price->UNITS.$product->price->VALUE;?></span></span>
                                            <span class="sale_siderow"><span class="sale_element"> <?php echo $product->category;?></span></span>
                                            <span class="sale_siderow"><span class="sale_element"> <?php echo $product->type;?></span></span>
                                            <span class="sale_siderow"><span class="sale_element"> <?php echo $product->name.' '.$product->firstname;?></span></span>
                                            <span class="sale_description" ><span class="sale_element_description"><p><?php echo $product->desc->VALUE;?></p></span></span>
                                             <span>
                                        		<div class="view_sidedetails"><a href="<?php echo $url;?>">View Details</a></div>
                                        	</span>
                                           
                                </div>
                               
                            </li>
                           <?php } ?> 
                       </ul>
                        <div class="rt_pagination">
                            <div class="previous" id="previous<?php echo $this->widget;?>"></div>                     
                            <div class="pagination" id="pager<?php echo $this->widget;?>"></div>
                            <div class="next" id="next<?php echo $this->widget;?>"></div>              
                        </div>
            
            </div>
            <?php }?>
            <script type="text/javascript">
                $(function(){
                    $('#slider<?php echo $this->widget;?>').bxSlider({
                        pager: true,
                        nextText: 'Next',			
			nextSelector: $('#next<?php echo $this->widget;?>'),
			prevText: 'Prev',			
			prevSelector: $('#previous<?php echo $this->widget;?>'),
                        pagerSelector: $('#pager<?php echo $this->widget;?>')
                    });
                });
            </script>
            <?php 
        }       
   } 
 
} 
?>
