<?php
class Realtransac_API_Search {
  
    public $widget;
    public $display;
    public $pageid;
    public $wsdl;
    public $apikey;
    public $client;
    public $params;
    
    public function __construct($instance, $widget_id){
        
        $this->widget   = $widget_id;
        $this->display  = $instance['displayform'];
        $this->pageid   = get_option('pageid');
        $this->wsdl     = get_option('apiwsdl');
        $this->apikey   = get_option('apikey');      
        
        $this->setSearchSession();                
    } 
    
    protected function setSearchSession(){
        
        try {

            $param = array(                
                'apikey' => $this->apikey, 
                'post'   => $_POST
            );
            
            $this->client = new SoapClient($this->wsdl); // true is for WSDL 
            $formdata = json_decode($this->client->getDefaultSearchForm($param));   
           
        

        }catch(Exception $ex){

            //echo "<h4>".'Message: ' .$e->getMessage()."</h4>";
            if($ex->faultcode){
                echo "<h6>".'Message: ' ."Server Connection Error"."</h6>";
            }
        }   
       
      
        if(isset($_POST["asaveForm"]) || isset($_POST["saveForm"]) || isset($_POST["asorted"])){  
                   
           
            $param = array(                
                'apikey'        => $this->apikey,
                'localisation'  => $_POST['location']
            );
            
            $_SESSION['RT']['TYPES']   = json_decode($this->client->getAgencyType($param));


            $param = array(                
                'apikey'        =>  $this->apikey,                    
                'localisation'  =>  $_POST['location'],
                'type'          =>  $_POST['type']
            );

            $_SESSION['RT']['CATEGORIES']   = json_decode($this->client->getAgencyCategory($param)); 
            
            // For Map
            $_SESSION['RT']['ZOOM']    = $_POST['map_zoom'];
            $_SESSION['RT']['MCENTER'] = $_POST['map_center'];
              
            
            if($_POST['search_type'] == 1){   
               
                $_SESSION['RT']['ISPICTURE']    = $_POST['ispicture'];
                $_SESSION['RT']['LOCALBOX']     = $_POST['localbox'];
                $_SESSION['RT']['LOCATION']     = $_POST['location'];                
                $_SESSION['RT']['TYPE']         = $_POST['type'];
                $_SESSION['RT']['CATEGORY']     = $_POST['category'];
                
                $_SESSION['RT']['PRICE']        = array('MIN' => $_POST['price_min'], 'MAX' => $_POST['price_max'], 'STEP' => $_POST['price_step'], 'UVAL' => $_POST['price_uval'], 'USHOW' => $_POST['price_ushow']);                            
                $_SESSION['RT']['BED']          = array('MIN' => $_POST['bed_min'], 'MAX' => $_POST['bed_max'], 'STEP' => $_POST['bed_step']); 
                $_SESSION['RT']['BATH']         = array('MIN' => $formdata->Bathrooms->min, 'MAX' => $formdata->Bathrooms->max, 'STEP' => $formdata->Bathrooms->step);
                $_SESSION['RT']['SURFACE']      = array('MIN' => $formdata->Surface->min, 'MAX' => $formdata->Surface->max, 'STEP' => $formdata->Surface->step, 'UNIT' => $formdata->Surface->unit, 'UVAL' => $formdata->Surface->uval);
                $_SESSION['RT']['DISTANCE']     = array('MIN' => $formdata->Distance->min, 'MAX' => $formdata->Distance->max, 'STEP' => $formdata->Distance->step, 'VAL' => $formdata->Distance->val, 'UNIT' => $formdata->Distance->unit, 'UVAL' => $formdata->Distance->uval);   
                $_SESSION['RT']['START']        = array(
                                                    'PRICE'     => array('MIN' => $formdata->PriceRange->min, 'MAX' => $formdata->PriceRange->max, 'STEP' => $formdata->PriceRange->step), 
                                                    'BED'       => array('MIN' => $formdata->Bedrooms->min, 'MAX' => $formdata->Bedrooms->max, 'STEP' => $formdata->Bedrooms->step),
                                                    'BATH'      => array('MIN' => $formdata->Bathrooms->min, 'MAX' => $formdata->Bathrooms->max, 'STEP' => $formdata->Bathrooms->step),
                                                    'SURFACE'   => array('MIN' => $formdata->Surface->min, 'MAX' => $formdata->Surface->max, 'STEP' => $formdata->Surface->step),
                                                    'DISTANCE'  => array('MIN' => $formdata->Distance->min, 'MAX' => $formdata->Distance->max, 'STEP' => $formdata->Distance->step),
                                                  );
                
                
            }else{           
                 
              
                $_SESSION['RT']['ISPICTURE']    = $_POST['aispicture'];
                $_SESSION['RT']['ASORTED']      = $_POST['asorted'];
                $_SESSION['RT']['LOCALBOX']     = $_POST['alocalbox'];
                $_SESSION['RT']['LOCATION']     = $_POST['alocation'];                
                $_SESSION['RT']['TYPE']         = $_POST['atype'];
                $_SESSION['RT']['CATEGORY']     = $_POST['acategory'];
                $_SESSION['RT']['PRICE']        = array('MIN' => $_POST['aprice_min'], 'MAX' => $_POST['aprice_max'], 'STEP' => $_POST['aprice_step'], 'UVAL' => $_POST['aprice_uval'], 'USHOW' => $_POST['aprice_ushow'],'HMAX'  => $_POST['aprice_hmax']);                            
                $_SESSION['RT']['BED']          = array('MIN' => $_POST['abed_min'], 'MAX' => $_POST['abed_max'], 'STEP' => $_POST['abed_step'],'HMAX'  => $_POST['abed_hmax']); 
                $_SESSION['RT']['BATH']         = array('MIN' => $_POST['abath_min'], 'MAX' => $_POST['abath_max'], 'STEP' => $_POST['abath_step'],'HMAX'  => $_POST['abath_hmax']);                            
                $_SESSION['RT']['SURFACE']      = array('MIN' => $_POST['asurface_min'], 'MAX' => $_POST['asurface_max'], 'STEP' => $_POST['asurface_step'], 'UNIT' => $_POST['asurface_unit'], 'UVAL' => $_POST['asurface_uval'],'HMAX'  => $_POST['asurface_hmax']);                            
                $_SESSION['RT']['DISTANCE']     = array('MIN' => $_POST['distance_min'], 'MAX' => $_POST['distance_max'], 'STEP' => $_POST['distance_step'], 'VAL' => $_POST['distance'], 'UNIT' => $_POST['distance_unit'], 'UVAL' => $_POST['distance_uval']);                            
                $_SESSION['RT']['START']        = array(
                                                    'PRICE'     => array('MIN' => $formdata->PriceRange->min, 'MAX' => $formdata->PriceRange->max, 'STEP' => $formdata->PriceRange->step), 
                                                    'BED'       => array('MIN' => $formdata->Bedrooms->min, 'MAX' => $formdata->Bedrooms->max, 'STEP' => $formdata->Bedrooms->step),
                                                    'BATH'      => array('MIN' => $formdata->Bathrooms->min, 'MAX' => $formdata->Bathrooms->max, 'STEP' => $formdata->Bathrooms->step),
                                                    'SURFACE'   => array('MIN' => $formdata->Surface->min, 'MAX' => $formdata->Surface->max, 'STEP' => $formdata->Surface->step),
                                                    'DISTANCE'  => array('MIN' => $formdata->Distance->min, 'MAX' => $formdata->Distance->max, 'STEP' => $formdata->Distance->step),
                                                  );
            }


        }else{
           



            // On initial page load
            if(!isset($_SESSION['RT'])){ 
                
                // For Map
                $_SESSION['RT']['ZOOM']         = $formdata->Zoom;
                $_SESSION['RT']['MCENTER']      = $formdata->Center;
                // For Default
                $_SESSION['RT']['ISPICTURE']    = 0;
                $_SESSION['RT']['LOCALBOX']     = $formdata->Localbox;
                $_SESSION['RT']['LOCATION']     = $formdata->Location;                                                                
                $_SESSION['RT']['COUNTRY']      = $formdata->Country;                                                                
                $_SESSION['RT']['TYPES']        = $formdata->Type;                
                $_SESSION['RT']['CATEGORIES']   = $formdata->Catergory;                
                $_SESSION['RT']['PRICE']        = array('MIN' => $formdata->PriceRange->min, 'MAX' => $formdata->PriceRange->max, 'STEP' => $formdata->PriceRange->step, 'UNIT' => $formdata->PriceRange->unit, 'UVAL' => $formdata->PriceRange->uval, 'USHOW' => $formdata->PriceRange->ushow);
                $_SESSION['RT']['BED']          = array('MIN' => $formdata->Bedrooms->min, 'MAX' => $formdata->Bedrooms->max, 'STEP' => $formdata->Bedrooms->step);                            
                $_SESSION['RT']['BATH']         = array('MIN' => $formdata->Bathrooms->min, 'MAX' => $formdata->Bathrooms->max, 'STEP' => $formdata->Bathrooms->step);                            
                $_SESSION['RT']['SURFACE']      = array('MIN' => $formdata->Surface->min, 'MAX' => $formdata->Surface->max, 'STEP' => $formdata->Surface->step, 'UNIT' => $formdata->Surface->unit, 'UVAL' => $formdata->Surface->uval);
                $_SESSION['RT']['DISTANCE']     = array('MIN' => $formdata->Distance->min, 'MAX' => $formdata->Distance->max, 'STEP' => $formdata->Distance->step, 'VAL' => $formdata->Distance->val, 'UNIT' => $formdata->Distance->unit, 'UVAL' => $formdata->Distance->uval);
                $_SESSION['RT']['START']        = array(
                                                    'PRICE'     => array('MIN' => $formdata->PriceRange->min, 'MAX' => $formdata->PriceRange->max, 'STEP' => $formdata->PriceRange->step), 
                                                    'BED'       => array('MIN' => $formdata->Bedrooms->min, 'MAX' => $formdata->Bedrooms->max, 'STEP' => $formdata->Bedrooms->step),
                                                    'BATH'      => array('MIN' => $formdata->Bathrooms->min, 'MAX' => $formdata->Bathrooms->max, 'STEP' => $formdata->Bathrooms->step),
                                                    'SURFACE'   => array('MIN' => $formdata->Surface->min, 'MAX' => $formdata->Surface->max, 'STEP' => $formdata->Surface->step),
                                                    'DISTANCE'  => array('MIN' => $formdata->Distance->min, 'MAX' => $formdata->Distance->max, 'STEP' => $formdata->Distance->step),
                                                  );
            }

        }       
          
        $this->params = $_SESSION['RT'];   
     
                             
    }   

    // TO DISPLAY FORM 
    public function displaySearchForm() {       
        
        $urlaction    = home_url('/');        
        
        ?>      
        <script>
        
            var apikey    = '<?php echo $this->apikey; ?>';
            var wsdl      = '<?php echo $this->wsdl; ?>';
            var ajax_url  = '<?php echo get_bloginfo('wpurl') . '/wp-content/plugins/Realtransac-Wordpress-Connect/ajaxcall.php'; ?>'
            
            var price_min   = '<?php echo $this->params['START']['PRICE']['MIN'] ?>';
            var price_max   = '<?php echo $this->params['START']['PRICE']['MAX'] ?>';
            var price_step  = '<?php echo $this->params['START']['PRICE']['STEP'] ?>';
            var bed_min     = '<?php echo $this->params['START']['BED']['MIN'] ?>';
            var bed_max     = '<?php echo $this->params['START']['BED']['MAX'] ?>';
            var bed_step    = '<?php echo $this->params['START']['BED']['STEP'] ?>';

            $(document).ready(function() {

                $('select#location').change(function(){ 
                    getType();
                });

                $('select#type').change(function(){ 
                    getCategory();
                }); 
                
                                 
                // Price Slider
                $("#price_range").slider({
                    range: true,
                    min:  parseInt(price_min),
                    max:  parseInt(price_max),
                    step: parseInt(price_step),
                    values: [parseInt($('#price_min').val()), parseInt($('#price_max').val())],
                      slide:function(event, ui) {
                        if(ui.values[0]==ui.values[1])
                        {
                            event.preventDefault();            
                        }                
                    },
                    stop: function(event, ui) {

                        if(ui.values[0]!=ui.values[1])
                        {
                            $('.pmore').html('<?php echo '+';?>');
                            $("#price_min").val(ui.values[0]);    
                            $("#price_max").val(ui.values[1]);
                            showPriceUnits(ui.values[0],ui.values[1], $("#priceDiv"), true);
                        }
                        if(ui.values[1] < $('#price_max').val()){
                            $('.pmore').html('');
                        }
                    }
                });



                //Bedroom Slider
                $("#bedroom_range").slider({
                    range: true,
                    min: parseInt(bed_min),
                    max: parseInt(bed_max),
                    step: parseInt(bed_step),       
                    values: [parseInt($('#bed_min').val()), parseInt($('#bed_max').val())],
                    slide:function(event, ui) {
                        if(ui.values[0]==ui.values[1])
                        {
                            event.preventDefault();            
                        }                
                    },
                    stop: function(event, ui) {
                        if(ui.values[0]!=ui.values[1])
                        {
                            $('.bmore').html('<?php echo '+';?>');
                            $("#bed_min").val(ui.values[0]);
                            $("#bed_max").val(ui.values[1]);
                            $("#bedDiv").html(ui.values[0] + ' - ' + ui.values[1]+ '');

                        }
                        if(ui.values[1] < $('#bed_max').val()){
                            $('.bmore').html('');
                        }
                    }
                });                        
                
            });

            function getType(){

                var country   = $("#location").val();                
                $.ajax({ 
                    url: ajax_url,
                    type: "POST",
                    dataType:"json",
                    data: {action: 'getajaxtype',  country: country, apikey: apikey, wsdl: wsdl},
                    success: function(data) {
                        var options = '';
                        $.each(data, function(key, val){
                            options += '<option value="' + key + '">' + val + '</option>'; 
                        });
                        $("select#type").html(options);
                        
                    }
                });

                getCategory();                
            }

            function getCategory(){
            
                var country      = $("#location").val();
                var type         = $('#type').val();
              
                $.ajax({ 
                    url: ajax_url,
                    type: "POST",
                    dataType:"json",
                    data: {action: 'getajaxcategory',  country: country, typeid: type, ajax: 'true', apikey: apikey, wsdl: wsdl},
                    success: function(data) {

                        var options = '';
                        $.each(data, function(key, val){
                            options += '<option value="' + key + '">' + val + '</option>'; 
                        });
                        $("select#category").html(options);
                        

                    }

                });                
                showPriceRange();
            }
            
            function showPriceRange()
            { 

                var country   = $("#location").val();
                $.ajax({           
                    url: ajax_url,
                    type: "POST",
                    dataType:"json",
                    data: {action: 'getpricerange',  country: country, type: $('#type').val(), apikey: apikey, wsdl: wsdl},
                    success: function(data){  

                        $("#price_min").val(data.min);    
                        $("#price_max").val(data.max); 
                        $("#price_step").val(data.step);
                        $("#price_uval").val(data.uval);    
                        $("#price_ushow").val(data.ushow);
                        
                        $("#price_range").slider( { min: data.min, max: data.max, values: [data.min, data.max], step: data.step});                              
                        showPriceUnits(data.min, data.max, $("#priceDiv"), true);

                    }
                });      
            }
            
            function showPriceUnits(val1, val2, element, isrange)
            {
                var punit = $('#price_uval').val();
                var pushow = $('#price_ushow').val();                
                if(isrange){
                    if(pushow == 1){
                        element.html(punit+' '+val1+' - '+punit+' '+val2);
                       
                    }else{
                         element.html(val1+' '+punit+' - '+val2+' '+punit);
                    }
                }else{
                    if(pushow == 1){
                         
                        element.html(punit+' '+val1);
                    }else{
                        element.html(val1+' '+punit);
                    }
                }
            }
        </script>
        
        <?php if($this->display == '1'){ //VERTICAL FORM ?>
        <form id="searchForm" name="searchForm" class=""  method="post" action="<?php echo $urlaction.'?page_id='.$this->pageid.''; ?>">
        <div  class="Rt_search_wrapper">
            <div  class="Rt_search_row">	
                <div class="label">Location:</div>
                <div class="element">
                <input id="localbox" name="localbox" type="text" value="<?php echo $this->params['LOCALBOX']; ?>"/>
                </div>
            </div>             
            <div  class="Rt_search_row">	               
                <div class="label">Country:</div>
                <div class="drop_down_list">
                    <select id="location" name="location"> 
                    <?php      

                    foreach ($this->params['COUNTRY'] as $key=>$val) {                                    
                        if($this->params['LOCATION'] == $key){
                            echo '<option value="'.$key.'" selected>'.$val.'</option>';
                        }else{
                            echo '<option value="'.$key.'">'.$val.'</option>';
                        }
                    }

                    ?>
                    </select>
                </div>
            </div> 
            <div  class="Rt_search_row">	                      
                <div class="label">Type:</div>                      
                <div class="drop_down_list">
                    <select id="type" name="type"> 
                    <?php                                

                    foreach ($this->params['TYPES'] as $key => $val) {
                        if($this->params['TYPE'] == $key){
                            echo '<option value="'.$key.'" selected>'.$val.'</option>';
                        }else{
                            echo '<option value="'.$key.'">'.$val.'</option>';
                        }
                    }

                    ?>
                    </select>
                </div>
            </div>
            <div  class="Rt_search_row">
                <div class="label">Category:</div>                    
                <div class="drop_down_list">
                    <select id="category" name="category">		
                    <?php  

                    foreach ($this->params['CATEGORIES'] as $key=>$val) {
                        if($this->params['CATEGORY'] == $key){
                            echo '<option value="'.$key.'" selected>'.$val.'</option>';
                        }else{
                            echo '<option value="'.$key.'">'.$val.'</option>';
                        }
                    }

                    ?>   
                    </select>
                </div>
            </div>
            <div  class="Rt_search_slider">	
                <div class="label">Price:</div>
                <div class="element">
                    <div class="demo">
                        <div id="price_range"></div>

                            <?php 

                            $price_min    =  $this->params['PRICE']['MIN'];
                            $price_max    =  $this->params['PRICE']['MAX'];
                            $price_step   =  $this->params['PRICE']['STEP'];
                            $price_uval   =  $this->params['PRICE']['UVAL'];                            
                            $price_ushow  =  $this->params['PRICE']['USHOW'];

                            ?>
                            <p>
                            <span id="priceDiv" class="range-text">
                                <?php 
                                    if($price_ushow == 1){
                                        echo $price_uval.' '.$price_min.' - '.$price_uval.' '.$price_max;
                                    }else{
                                        echo $price_min.' '.$price_uval.' - '.$price_max.' '.$price_uval;
                                    }
                                ?>
                            </span>
                            <span class="pmore"><?php echo '+'; ?></span>
                            <input type="hidden" id="price_min" name="price_min" value="<?php echo $price_min; ?>"/>
                            <input type="hidden" id="price_max" name="price_max" value="<?php echo $price_max; ?>"/>
                            <input type="hidden" id="price_uval" name="price_uval" value="<?php echo $price_uval; ?>"/>
                            <input type="hidden" id="price_ushow" name="price_ushow" value="<?php echo $price_ushow; ?>"/>
                            <input type="hidden" id="price_step" name="price_step" value="<?php echo $price_step; ?>"/>

                            </p>
                    </div>
                </div>
            </div>  
            <div  class="Rt_search_slider">	             

                <div class="label">Bedrooms:</div>
                <div class="element">
                    <div class="demo">
                        <div id="bedroom_range"></div>
                        <?php 

                        $bed_min    =  $this->params['BED']['MIN'];
                        $bed_max    =  $this->params['BED']['MAX'];
                        $bed_step   =  $this->params['BED']['STEP'];

                        ?>

                        <p>
                        <span id="bedDiv" class="range-text"><?php echo $bed_min.' - '.$bed_max;?></span><span class="bmore"><?php echo '+'; ?></span>
                        <input type="hidden" id="bed_min" name="bed_min" value="<?php echo $bed_min;?>"/>
                        <input type="hidden" id="bed_max" name="bed_max" value="<?php echo $bed_max;?>"/>
                        <input type="hidden" id="bed_step" name="bed_step" value="<?php echo $bed_step;?>"/>
                        </p>
                    </div>
                </div>
            </div>   
            <input type="hidden" name="search_type" value="1" />                        
            <div class="Rt_search_button">
                <input type="submit" name="saveForm" value="Search" class="saveForm"  />	
            </div>
        </div>
        </form>	
 <?php } else {             
            //HORIZONTAL FORM ?>
        <form id="searchForm" name="searchForm" class=""  method="post" action="<?php echo $urlaction.'?page_id='.$this->pageid.''; ?>">
        <div  class="Rt_search_wrapper">
            <div  id="horizontal_pane" class="Rt_search_frame">
                <div  class="Rt_search_midRow">	
                    <div class="label">Location:</div>
                    <div class="element">
                        <input id="localbox" name="localbox" type="text" value="<?php echo $this->params['LOCALBOX'] ?>"/>
                    </div>
                </div>                
                <div  class="Rt_search_midRow">	               
                    <div class="label">Country:</div>
                    <div class="drop_down_list">
                        <select id="location" name="location"> 
                        <?php      

                        foreach ($this->params['COUNTRY'] as $key=>$val) {

                            if($this->params['LOCATION'] == $key){
                                echo '<option value="'.$key.'" selected>'.$val.'</option>';
                            }else{
                                echo '<option value="'.$key.'">'.$val.'</option>';
                            }
                        }

                        ?>
                        </select>
                    </div>
                </div> 
                <div  class="Rt_search_midRow">	                      
                    <div class="label">Type:</div>
                    <div class="drop_down_list">
                        <select id="type" name="type"> 
                        <?php

                        foreach ($this->params['TYPES'] as $key=>$val) {
                            if(($this->params['TYPE'] == $key)){
                                echo '<option value="'.$key.'" selected>'.$val.'</option>';
                            }else{
                                echo '<option value="'.$key.'">'.$val.'</option>';
                            }
                        }
                        
                        ?>
                        </select>
                    </div>
                </div>
                <div  class="Rt_search_midRow">
                <div class="label">Category:</div>
                <div class="drop_down_list">
                    <select id="category" name="category">		
                    <?php  

                    foreach ($this->params['CATEGORIES'] as $key=>$val) {
                        if(($this->params['CATEGORY'] == $key)){
                            echo '<option value="'.$key.'" selected>'.$val.'</option>';
                        }else{
                            echo '<option value="'.$key.'">'.$val.'</option>';
                        }
                    }

                    ?>  

                    </select>
                </div>
                </div>
                <div  class="Rt_search_midSlider">	
                    <div class="label">Price:</div>
                    <div class="element">
                        <div class="demo">
                            <div id="price_range"></div>

                            <?php 

                            $price_min    =  $this->params['PRICE']['MIN'];
                            $price_max    =  $this->params['PRICE']['MAX'];
                            $price_step   =  $this->params['PRICE']['STEP'];
                            $price_uval   =  $this->params['PRICE']['UVAL'];                            
                            $price_ushow  =  $this->params['PRICE']['USHOW'];

                            ?>
                            <p>
                            <span id="priceDiv" class="range-text">
                                <?php 
                                    if($price_ushow == 1){
                                        echo $price_uval.' '.$price_min.' - '.$price_uval.' '.$price_max;
                                    }else{
                                        echo $price_min.' '.$price_uval.' - '.$price_max.' '.$price_uval;
                                    }
                                ?>
                            </span>
                            <span class="pmore"><?php echo '+'; ?></span>
                            <input type="hidden" id="price_min" name="price_min" value="<?php echo $price_min; ?>"/>
                            <input type="hidden" id="price_max" name="price_max" value="<?php echo $price_max; ?>"/>
                            <input type="hidden" id="price_uval" name="price_uval" value="<?php echo $price_uval; ?>"/>
                            <input type="hidden" id="price_ushow" name="price_ushow" value="<?php echo $price_ushow; ?>"/>
                            <input type="hidden" id="price_step" name="price_step" value="<?php echo $price_step; ?>"/>

                            </p>
                        </div>
                    </div>
                </div>  
                <div  class="Rt_search_midSlider">	             

                    <div class="label">Bedrooms:</div>
                    <div class="element">
                        <div class="demo">
                            <div id="bedroom_range"></div>
                            <?php 

                            $bed_min    =  $this->params['BED']['MIN'];
                            $bed_max    =  $this->params['BED']['MAX'];
                            $bed_step   =  $this->params['BED']['STEP'];

                            ?>

                            <p>
                            <span id="bedDiv" class="range-text"><?php echo $bed_min.' - '.$bed_max;?></span><span class="bmore"><?php echo '+'; ?></span>
                            <input type="hidden" id="bed_min" name="bed_min" value="<?php echo $bed_min;?>"/>
                            <input type="hidden" id="bed_max" name="bed_max" value="<?php echo $bed_max;?>"/>
                            <input type="hidden" id="bed_step" name="bed_step" value="<?php echo $bed_step;?>"/>
                            </p>
                        </div>
                    </div>
                </div>                                
                <input type="hidden" name="search_type" value="1" /> 
                             <div class="Rt_search_button">
                    <input type="submit" name="saveForm" value="Search" class="saveForm" >	
                </div>                       
            </div>
            </div>
        </form>
        
        <?php }
    }
    
    public function displaySearchResults(){

        $param = array(
            'apikey'         => $this->apikey,
            'DISTANCE'       => 0, 
            'TYPE'           => $this->params['TYPE'],
            'CATEGORY'       => $this->params['CATEGORY'],
            'PICTURE'        => $this->params['ISPICTURE'],
            'PRICE'          => $this->params['PRICE'],
            'BEDROOM'        => $this->params['BED'],
            'BATHROOM'       => $this->params['BATH'],
            'AREA'           => $this->params['SURFACE'],
            'localbox'       => $this->params['LOCALBOX'],
            'localisation'   => $this->params['LOCATION'],
            'sorted'         => $this->params['ASORTED'], 
            'limit'          => 100
        );
        
       

        try{
            $this->client = new SoapClient($this->wsdl); // true is for WSDL 
            $data = json_decode($this->client->getSearchResults($param));
        }catch(Exception  $e){
            
            //echo "<h4>".'Message: ' .$e->getMessage()."</h4>";
             if($ex->faultcode){
                echo "<h6>".'Message: ' ."Server Connection Error"."</h6>";
            }
        }
        
     
        $plugindir = get_settings('home').'/wp-content/plugins/'.dirname(plugin_basename(__FILE__));
       
        if ($data->searchresult){?>  
        
            <h2>Total Results: <?php echo count($data->searchresult); ?></h2>
             <span>
                <select name="asortedby" id="asortedby">
                  <?php
                  $sortdata = array('Price ↑'=>'PRICE#DESC','Price ↓'=>'PRICE#ASC','Date ↑ '=>'DATE#DESC','Date ↓ '=>'DATE#ASC');
                  foreach($sortdata as $key => $val){
                    if(isset($this->params['ASORTED'])&&($this->params['ASORTED'] == $val)){?>

                    <option selected value="<?php echo $val;?>">
                    <?php echo $key;?>
                    </option>

                    <?php }
                    else {?>

                    <option value="<?php echo $val;?>">
                    <?php echo $key;?>
                    </option>

                    <?php }
                    } ?>
                </select>
            </span>
            <table id="results" celpadding="0" cellspacing="0"> 
             <th></th>
                <?php  foreach ($data->searchresult as $product) { ?>
                <tr>
                    <th> 
                        <fieldset>
                            <div class="rt_listing_rows">  
                                <div class="rt_listing_wrapper">
                                    <div class="rt_listing_imgwrapper">
                                        <a href="<?php echo get_bloginfo('wpurl'); ?>/?page_id=<?php echo $this->pageid; ?>&id=<?php echo $product->idPRODUCT; ?>"><img src="<?php echo $product->PICTURE;?>" /></a>
                                    </div>
                                    <div class="rt_listing_details">
                                        <div class="rt_listing_title">
                                            <?php echo $product->TITLE;?><br />
                                        </div>
                                    </div>
                                    <div class="rt_listing_iconset">
                                        <?php echo $product->AREA->VALUE != NULL ? $product->AREA->VALUE.' '.$product->AREA->UNITS : ' -- '.' <img src="'.get_template_directory_uri().'/images/car.png" />';?> &nbsp;
                                        <?php echo $product->BEDROOM->VALUE != NULL ? $product->BEDROOM->VALUE.' <img src="'.get_template_directory_uri().'/images/bed.png" />' : ' -- '.' <img src="'.get_template_directory_uri().'/images/bed.png" />';?> &nbsp;
                                        <?php echo $product->BATHROOM->VALUE != NULL ? $product->BATHROOM->VALUE.' <img src="'.get_template_directory_uri().'/images/bath.png" />' : ' -- '.' <img src="'.get_template_directory_uri().'/images/bath.png" />';?><br />
                                    </div>
                                    <div class="rt_listing_price">
                                        <?php echo $product->PRICE->UNITS.$product->PRICE->VALUE;?><br />	
                                    </div>
                                    <div class="rt_listing_description">
                                        <?php echo $product->NAME->VALUE;?><br />
                                        <?php echo $product->CITY->VALUE;?><!--<br />-->
                                        <?php echo $product->ADDRESS->VALUE;?><!--<br />    -->        
                                        <?php echo $product->ZIP->VALUE;?><br />
                                        <?php echo $product->DESC->VALUE;?><br />
                                    </div>
                                    <div class="rt_listing_viewdetails">                                                
                                        <a href="<?php echo get_bloginfo('wpurl'); ?>/?page_id=<?php echo $this->pageid; ?>&id=<?php echo $product->idPRODUCT; ?>">View Details</a>                                                      
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                    </th>
                </tr>
               <?php  } ?>
            </table>   
            
        <?php }else {
           echo  "<h2>"."Total Results: ".count($data->searchresult)."</h2>";
           echo "<h3>".$data->error."</h3>";
           
        }
        ?>

        <div id="pageNavPosition"></div>        
        <script type="text/javascript">
            var pager = new Pager('results', 5); 
            pager.init(); 
            pager.showPageNav('pager', 'pageNavPosition'); 
            pager.showPage(1);
        </script>

<?php  }                    
            
} 
?>



